2012/7/5 Eusebius <gramps@eusebius.fr>
Hi,

Thanks for all your replies.

- OK, There's a .deb available that I can use, thanks.
- There's a dependency on python 2.5+, noted.

But I still don't really understand Benny's remark here: "So, once
released, Ubuntu will not upgrade a gramps version". I missed the reason
before the "So"... :-)

There are two type of linux releases, rolling releases like Archlinux, opensuse tumbleweed, debian testing, ... who update software to newer vesions; and then normal releases, which set software versions fixed in a release and don't upgrade those after release, except point updates for security bugs.
Ubuntu follows the normal release type, so twice a year a new version, and you need to upgrade to that for newer software.

Note that for people who want stability and support, you should opt for a normal type of release, and just live with the fact you have somewhat older software. If you always want the new software, switch to a linux that does rolling release.

Benny

Same issue I guess: Why does Ron say that it can only happen on ppa
repositories?

Regards,
Eusebius

Le 04/07/2012 17:54, Benny Malengier a écrit :
>
>
> 2012/7/4 François <francois.le.gad@free.fr <mailto:francois.le.gad@free.fr>>
>
>     Le 04/07/2012 16:49, Eusebius a écrit :
>
>     > Is there a planned update on the Debian/Ubuntu repositories?
>
>     http://sourceforge.net/projects/gramps/
>
>
> So, once released, Ubuntu will not upgrade a gramps version. Manually
> downloading the .deb from sourceforge and installing by double click is
> the way to install it.
>
> Benny
>
>
>      > On what kind of criteria does it depend?
>
>     Python > = 2.5
>
>     -- François
>
>
>     ------------------------------------------------------------------------------
>     Live Security Virtual Conference
>     Exclusive live event will cover all the ways today's security and
>     threat landscape has changed and how IT managers can respond.
>     Discussions
>     will include endpoint security, mobile security and the latest in
>     malware
>     threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/
>     _______________________________________________
>     Gramps-users mailing list
>     Gramps-users@lists.sourceforge.net
>     <mailto:Gramps-users@lists.sourceforge.net>
>     https://lists.sourceforge.net/lists/listinfo/gramps-users
>
>
>
>
> ------------------------------------------------------------------------------
> Live Security Virtual Conference
> Exclusive live event will cover all the ways today's security and
> threat landscape has changed and how IT managers can respond. Discussions
> will include endpoint security, mobile security and the latest in malware
> threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/
>
>
>
> _______________________________________________
> Gramps-users mailing list
> Gramps-users@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/gramps-users
>



------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and
threat landscape has changed and how IT managers can respond. Discussions
will include endpoint security, mobile security and the latest in malware
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/
_______________________________________________
Gramps-users mailing list
Gramps-users@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gramps-users